org.eclipse.net4j.util

## Class ImplementationError

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Error
    - - org.eclipse.net4j.util.ImplementationError

- All Implemented Interfaces:
    Serializable

      public class ImplementationError
      extends Error

  Should not be used anymore in favour of `AssertionError`. Likely to be deprecated soon.
  Author:
    Eike Stepper
  See Also:
    Serialized Form
  No Extend
    This class is not intended to be subclassed by clients.
  Apiviz

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ImplementationError()`
    `ImplementationError(String message)`
    `ImplementationError(String message, Throwable cause)`
    `ImplementationError(Throwable cause)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ImplementationError

          public ImplementationError()

    - #### ImplementationError

          public ImplementationError(String message)

    - #### ImplementationError

          public ImplementationError(String message,
                                     Throwable cause)

    - #### ImplementationError

          public ImplementationError(Throwable cause)

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html